QGIS Application - Bug report #6585
<img> does not work in html map tips?
2012-10-30 01:18 AM - Giovanni Manghi

Status: Closed

Priority: Normal

Assignee: Nathan Woodrow

Category:

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 15776
Description

Just tested the tag IMG in html map tips, both using an hardcoded url or an attribute, but the image does not show. Tested on
master/linux. Anyone confirms?

History

#1 - 2012-10-30 01:19 AM - Nathan Woodrow

Can you post the html you have used?

#2 - 2012-11-02 01:25 PM - Giovanni Manghi

Nathan Woodrow wrote:

Can you post the html you have used?

like

<h1>[% "entidade" ]</h1>

<p>[ "area_ha" %]</p>

<img src="http://www.faunalia.pt/sites/all/themes/titan/images/logo_corp.png">

#3 - 2012-11-20 05:09 AM - Rui Pedro Henriques

I've tried Giovanni's code and the image also doesn't show. However it works on local images:

With the code (for the same image):

<img src="/var/www/pin.png" />

<img src="http://localhost/pin.png" />

it works for the first but not for the second.

#4 - 2013-01-11 11:38 PM - Nathan Woodrow
- Status changed from Open to Closed

Closed for now as Qt richtext, a subset of HTML which is used for the map tips, doesn't support non-local images.
